src/Entity/Task.php
<?php

namespace App\Entity;

use App\Repository\TaskRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

#[ORM\Entity(repositoryClass: TaskRepository::class)]
class Task
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(type: Types::TEXT)]
    #[Assert\NotBlank]
    private ?string $Description = null;

    #[ORM\ManyToOne(inversedBy: 'tasks')]
    #[ORM\JoinColumn(nullable: false)]
    private ?TodoList $todolist = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDescription(): ?string
    {
        return $this->Description;
    }

    public function setDescription(string $Description): static
    {
        $this->Description = $Description;

        return $this;
    }

    public function getTodolist(): ?TodoList
    {
        return $this->todolist;
    }

    public function setTodolist(?TodoList $todolist): static
    {
        $this->todolist = $todolist;

        return $this;
    }
}

src/Controller/ListController.php
<?php

namespace App\Controller;

use App\Entity\Task;
use App\Form\TaskFormType;
use App\Repository\TaskRepository;
use App\Repository\TodoListRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class ListController extends AbstractController
{
    public function __construct(
        private EntityManagerInterface $entityManager,
        private TaskRepository $taskRepository,
        private TodoListRepository $todoListRepository,
    ) {
    }

    #[Route('/list/{id}', name: 'app_list')]
    public function index($id, Request $request): Response
    {
        $todolist = $this->todoListRepository->findOneBy(['id' => $id]);
        $tasks = $todolist->getTasks();

        $task = new Task();
        $form = $this->createForm(TaskFormType::class, $task);

        $form->handleRequest($request);
        if($form->isSubmitted() && $form->isValid()){

            $newTask = $form->getData();

            $newTask->setTodolist($todolist);

            $this->entityManager->persist($newTask);
            $this->entityManager->flush();

            return $this->redirectToRoute('app_list', ['id' => $id]);
        };

        return $this->render('list/index.html.twig', [
            'tasks' => $tasks,
            'todolist' => $todolist,
            'form' => $form->createView(),
        ]);
    }

    #[Route('/task_remove', name: 'app_task_remove')]
    public function taskDelete(Request $request): Response
    {
        $remove_task_id = $request->get('id');

        $task_to_remove = $this->taskRepository->findOneBy(['id' => $remove_task_id]);

        $this->entityManager->remove($task_to_remove);
        $this->entityManager->flush();

        return new Response(Response::HTTP_OK);
    }
}

templates/list/index.html.twig
{% extends 'base.html.twig' %}

{% block body %}
<nav class="navbar bg-secondary-subtle position-relative">
        <span class="position-absolute top-50 start-0 translate-middle-y"><a href="{{path('app_home')}}" class="me-3 ms-3"><button class="btn btn-outline-secondary btn-lg">Home</button></a></span>
    <div class="container">
        <span>Add new task to the {{todolist.name}}</span>
        {{ form_start(form) }}
            <div class="d-flex">
                {{ form_widget(form) }}
                <button class="btn btn-outline-secondary ms-3" type="submit">Add</button>
            </div>
        {{ form_end(form) }}
    </div>
</nav>
<main>
    <div class="container-md p-2">
        <ul class="list-group list-group-flush">
            {% for task in tasks %}
                <li class="list-group-item">
                    <input class="form-check-input me-3" role="button" type="checkbox" id="{{task.id}}">
                    <span>{{task.description}}</span>
                </li>
            {% endfor %}
        </ul>
    </div>
</main>
{% block javascripts %}
    {{ parent() }}
    <script>
        $('.form-check-input').click(function(element){
            let task_id = element.currentTarget.id;

            $.ajax({
                url: '{{path('app_task_remove')}}',
                type: 'post',
                data: {'id': task_id},
                async: true,
                context: this,
                success: function(){
                    $(element.currentTarget).parent().addClass('text-decoration-line-through');
                    $(element.currentTarget).attr('disabled', true);
                }
            })
        })
    </script>
{% endblock %}
{% endblock %}